# Media Player Classic - Home Cinema

Media Player Classic - Home Cinema (MPC-HC) is a free and open source (OSS) video
and audio player for Windows. MPC-HC is based on the original Guliverkli project
and contains a lot of additional features and bug fixes.

We are in dire need of new developers of any kind. If you can code a little, or you can create
logos for the player and images for the file associations, or you can create/maintain the main
website, please join our IRC channel and talk to us. Any help is always appreciated.

Find some easy ticket on our trac page, fix the problem, send a [pull request](https://github.com/mpc-hc/mpc-hc/pulls),
or post the patch on [trac](https://trac.mpc-hc.org) or come on IRC and we'll review it for you.
See [CONTRIBUTING.md](/CONTRIBUTING.md) for more info.

*We care about keeping an open project open and free for contributions wherever they may come from.*


## Main Features:
* Option to remove [tearing](http://en.wikipedia.org/wiki/Screen_tearing)
* Support for Windows Vista/7/8, including a 64-bit build
* Support for [EVR/EVR CP](http://en.wikipedia.org/wiki/Media_Foundation#Enhanced_Video_Renderer) (Enhanced Video Renderer)
* Supports most types of [subtitles](http://en.wikipedia.org/wiki/Subtitle_%28captioning%29#Subtitle_formats)
  including [BluRay](http://en.wikipedia.org/wiki/Blu-ray_Disc) .sup files
* Playback and recording of television programs, if a supported
  [TV tuner card](http://en.wikipedia.org/wiki/TV_tuner_card) is installed
* [OSD info (On Screen Display)](http://en.wikipedia.org/wiki/On-screen_display)
* Multi-Monitor support
* Various [pixel shaders](http://en.wikipedia.org/wiki/Shader#Pixel_shaders)
* [Color management](http://en.wikipedia.org/wiki/Color_management)
* 25 translations available


## System Requirements:
* An SSE capable CPU
* Windows XP SP3, Vista, 7, 8 32-bit/64-bit


## Links:
* [Website](http://mpc-hc.org)
* [Source code](https://github.com/mpc-hc)
* [Support Trac](https://trac.mpc-hc.org)
* IRC Channel: [#mpc-hc](http://webchat.freenode.net/?randomnick=1&channels=mpc-hc&prompt=1&uio=d4)
  / [#mpc-hc-dev](http://webchat.freenode.net/?randomnick=1&channels=mpc-hc-dev&prompt=1&uio=d4) at [Freenode](http://freenode.net/)
* [Donations](http://mpc-hc.org/donate/)


For the people involved in the development, see
[Authors.txt](/docs/Authors.txt).

MPC-HC's code is licensed under [GPL v3](/COPYING.txt).

Translations are done by various translators (see
[Authors.txt](/docs/Authors.txt)).


## Third-party code

MPC-HC makes use of the following third-party code:

<table>
    <tr>
        <td><strong>Project</strong></td>
        <td><strong>License</strong></td>
        <td><strong>Website</strong></td>
    </tr>
    <tr>
        <td>ATL Server</td>
        <td>Ms-LPL</td>
        <td>http://atlserver.codeplex.com/</td>
    </tr>
    <tr>
        <td>CLineNumberEdit</td>
        <td>-</td>
        <td>http://www.codeproject.com/Articles/6385/Controls-in-controls-A-line-numbering-edit-box</td>
    </tr>
    <tr>
        <td>CSizingControlBar</td>
        <td>GPLv2</td>
        <td>http://www.datamekanix.com/sizecbar/</td>
    </tr>
    <tr>
        <td>LAV Filters</td>
        <td>GPLv2</td>
        <td>http://code.google.com/p/lavfilters/</td>
    </tr>
    <tr>
        <td>Little CMS</td>
        <td>MIT License</td>
        <td>http://www.littlecms.com/</td>
    </tr>
    <tr>
        <td>Logitech SDK</td>
        <td>-</td>
        <td>-</td>
    </tr>
    <tr>
        <td>MediaInfoLib</td>
        <td>Simplified BSD License</td>
        <td>http://mediaarea.net/MediaInfo</td>
    </tr>
    <tr>
        <td>Mhook</td>
        <td>MIT License</td>
        <td>http://codefromthe70s.org/mhook23.aspx</td>
    </tr>
    <tr>
        <td>MultiMon</td>
        <td>CPOL</td>
        <td>http://www.codeproject.com/KB/GDI/multimon.aspx</td>
    </tr>
    <tr>
        <td>QuickTime SDK</td>
        <td>-</td>
        <td>http://developer.apple.com/quicktime/</td>
    </tr>
    <tr>
        <td>RARFileSource</td>
        <td>GPLv2+</td>
        <td>http://www.v12pwr.com/RARFileSource/</td>
    </tr>
    <tr>
        <td>RealMedia SDK</td>
        <td>-</td>
        <td>-</td>
    </tr>
    <tr>
        <td>ResizableLib</td>
        <td>Artistic License</td>
        <td>http://sourceforge.net/projects/resizablelib/</td>
    </tr>
    <tr>
        <td>Silk Icons</td>
        <td>CC Attribution 2.5</td>
        <td>http://www.famfamfam.com/lab/icons/silk/</td>
    </tr>
    <tr>
        <td>SoundTouch</td>
        <td>LGPLv2.1</td>
        <td>http://www.surina.net/soundtouch/</td>
    </tr>
    <tr>
        <td>TreePropSheet</td>
        <td>-</td>
        <td>http://www.codeproject.com/Articles/3709/CTreePropSheet-A-Netscape-Visual-Studio-NET-like-P</td>
    </tr>
    <tr>
        <td>UnRAR</td>
        <td>freeware</td>
        <td>http://www.rarlab.com/rar_add.htm</td>
    </tr>
    <tr>
        <td>VirtualDub</td>
        <td>GPLv2</td>
        <td>http://www.virtualdub.org/</td>
    </tr>
    <tr>
        <td>ZenLib</td>
        <td>zlib License</td>
        <td>http://sourceforge.net/projects/zenlib/</td>
    </tr>
    <tr>
        <td>zlib</td>
        <td>zlib License</td>
        <td>http://zlib.net/</td>
    </tr>
</table>
